import { renderSlot as _renderSlot, normalizeClass as _normalizeClass, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";

function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("span", {
    ref: "elRef",
    class: _normalizeClass(_ctx.classes)
  }, [_renderSlot(_ctx.$slots, "default")], 2);
}

import { computed, ref } from 'vue';
import { classNames } from '../shared/utils.js';
import { colorClasses, colorProps } from '../shared/mixins.js';
import { useTooltip } from '../shared/use-tooltip.js';
export default {
  name: 'f7-badge',
  render,
  props: {
    tooltip: String,
    tooltipTrigger: String,
    ...colorProps
  },

  setup(props) {
    const elRef = ref(null);
    useTooltip(elRef, props);
    const classes = computed(() => classNames('badge', colorClasses(props)));
    return {
      elRef,
      classes
    };
  }

};