import { renderSlot as _renderSlot, normalizeClass as _normalizeClass, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";
const _hoisted_1 = ["medium"];

function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", {
    class: _normalizeClass(_ctx.classes),
    medium: _ctx.medium
  }, [_renderSlot(_ctx.$slots, "default")], 10, _hoisted_1);
}

import { computed } from 'vue';
import { classNames } from '../shared/utils.js';
import { colorClasses, colorProps } from '../shared/mixins.js';
export default {
  name: 'f7-block-title',
  render,
  props: {
    large: Boolean,
    medium: Boolean,
    ...colorProps
  },

  setup(props) {
    const classes = computed(() => {
      const {
        large,
        medium
      } = props;
      return classNames('block-title', {
        'block-title-large': large,
        'block-title-medium': medium
      }, colorClasses(props));
    });
    return {
      classes
    };
  }

};