
import { ComponentOptionsMixin, DefineComponent, PropType } from 'vue';


declare const Button: DefineComponent<
  {
    
    text: {
      type: StringConstructor;
    },

    tabLink: {
      type: BooleanConstructor | StringConstructor;
    },

    tabLinkActive: {
      type: BooleanConstructor;
    },

    type: {
      type: StringConstructor;
    },

    target: {
      type: StringConstructor;
    },

    round: {
      type: BooleanConstructor;
    },

    roundMd: {
      type: BooleanConstructor;
    },

    roundIos: {
      type: BooleanConstructor;
    },

    roundAurora: {
      type: BooleanConstructor;
    },

    fill: {
      type: BooleanConstructor;
    },

    fillMd: {
      type: BooleanConstructor;
    },

    fillIos: {
      type: BooleanConstructor;
    },

    fillAurora: {
      type: BooleanConstructor;
    },

    large: {
      type: BooleanConstructor;
    },

    largeMd: {
      type: BooleanConstructor;
    },

    largeIos: {
      type: BooleanConstructor;
    },

    largeAurora: {
      type: BooleanConstructor;
    },

    small: {
      type: BooleanConstructor;
    },

    smallMd: {
      type: BooleanConstructor;
    },

    smallIos: {
      type: BooleanConstructor;
    },

    smallAurora: {
      type: BooleanConstructor;
    },

    raised: {
      type: BooleanConstructor;
    },

    raisedMd: {
      type: BooleanConstructor;
    },

    raisedIos: {
      type: BooleanConstructor;
    },

    raisedAurora: {
      type: BooleanConstructor;
    },

    outline: {
      type: BooleanConstructor;
    },

    outlineMd: {
      type: BooleanConstructor;
    },

    outlineIos: {
      type: BooleanConstructor;
    },

    outlineAurora: {
      type: BooleanConstructor;
    },

    active: {
      type: BooleanConstructor;
    },

    disabled: {
      type: BooleanConstructor;
    },

    tooltip: {
      type: StringConstructor;
    },

    tooltipTrigger: {
      type: StringConstructor;
    },

    preloader: {
      type: BooleanConstructor;
    },

    preloaderSize: {
      type: NumberConstructor | StringConstructor;
    },

    preloaderColor: {
      type: StringConstructor;
    },

    loading: {
      type: BooleanConstructor;
    },

    href: {
      type: StringConstructor | BooleanConstructor;
      default: string;
    },

    icon: {
      type: StringConstructor;
    },

    iconMaterial: {
      type: StringConstructor;
    },

    iconF7: {
      type: StringConstructor;
    },

    iconIos: {
      type: StringConstructor;
    },

    iconMd: {
      type: StringConstructor;
    },

    iconAurora: {
      type: StringConstructor;
    },

    iconColor: {
      type: StringConstructor;
    },

    iconSize: {
      type: StringConstructor | NumberConstructor;
    },

    color: {
      type: StringConstructor;
    },

    colorTheme: {
      type: StringConstructor;
    },

    textColor: {
      type: StringConstructor;
    },

    bgColor: {
      type: StringConstructor;
    },

    borderColor: {
      type: StringConstructor;
    },

    rippleColor: {
      type: StringConstructor;
    },

    dark: {
      type: BooleanConstructor;
    },

    searchbarEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarClear: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    panelOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    panelClose: {
      type: BooleanConstructor | StringConstructor;
    },

    panelToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    popupOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popupClose: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsClose: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverClose: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    cardOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardPreventOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardClose: {
      type: BooleanConstructor | StringConstructor;
    },

    menuClose: {
      type: BooleanConstructor | StringConstructor;
    },

    back: {
      type: BooleanConstructor;
    },

    external: {
      type: BooleanConstructor;
    },

    force: {
      type: BooleanConstructor;
    },

    animate: {
      type: BooleanConstructor;
    },

    ignoreCache: {
      type: BooleanConstructor;
    },

    reloadCurrent: {
      type: BooleanConstructor;
    },

    reloadAll: {
      type: BooleanConstructor;
    },

    reloadPrevious: {
      type: BooleanConstructor;
    },

    reloadDetail: {
      type: BooleanConstructor;
    },

    routeTabId: {
      type: StringConstructor;
    },

    view: {
      type: StringConstructor;
    },

    routeProps: {
      type: ObjectConstructor;
    },

    preventRouter: {
      type: BooleanConstructor;
    },

    transition: {
      type: StringConstructor;
    },

    openIn: {
      type: StringConstructor;
    }
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  
>;

export default Button;
  