import { renderSlot as _renderSlot, normalizeClass as _normalizeClass, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";

function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", {
    class: _normalizeClass(_ctx.classes)
  }, [_renderSlot(_ctx.$slots, "default")], 2);
}

import { computed } from 'vue';
import { classNames } from '../shared/utils.js';
import { colorClasses, colorProps } from '../shared/mixins.js';
export default {
  name: 'f7-card-content',
  render,
  props: {
    padding: {
      type: Boolean,
      default: true
    },
    ...colorProps
  },

  setup(props) {
    const classes = computed(() => classNames('card-content', {
      'card-content-padding': props.padding
    }, colorClasses(props)));
    return {
      classes
    };
  }

};