
import { ComponentOptionsMixin, DefineComponent, PropType } from 'vue';


declare const ListItem: DefineComponent<
  {
    
    title: {
      type: StringConstructor | NumberConstructor;
    },

    text: {
      type: StringConstructor | NumberConstructor;
    },

    media: {
      type: StringConstructor;
    },

    subtitle: {
      type: StringConstructor | NumberConstructor;
    },

    header: {
      type: StringConstructor | NumberConstructor;
    },

    footer: {
      type: StringConstructor | NumberConstructor;
    },

    tooltip: {
      type: StringConstructor;
    },

    tooltipTrigger: {
      type: StringConstructor;
    },

    link: {
      type: BooleanConstructor | StringConstructor;
    },

    target: {
      type: StringConstructor;
    },

    tabLink: {
      type: BooleanConstructor | StringConstructor;
    },

    tabLinkActive: {
      type: BooleanConstructor;
    },

    selected: {
      type: BooleanConstructor;
    },

    after: {
      type: StringConstructor | NumberConstructor;
    },

    badge: {
      type: StringConstructor | NumberConstructor;
    },

    badgeColor: {
      type: StringConstructor;
    },

    mediaItem: {
      type: BooleanConstructor;
    },

    mediaList: {
      type: BooleanConstructor;
    },

    divider: {
      type: BooleanConstructor;
    },

    groupTitle: {
      type: BooleanConstructor;
    },

    swipeout: {
      type: BooleanConstructor;
    },

    swipeoutOpened: {
      type: BooleanConstructor;
    },

    accordionItem: {
      type: BooleanConstructor;
    },

    accordionItemOpened: {
      type: BooleanConstructor;
    },

    smartSelect: {
      type: BooleanConstructor;
    },

    smartSelectParams: {
      type: ObjectConstructor;
    },

    noChevron: {
      type: BooleanConstructor;
    },

    chevronCenter: {
      type: BooleanConstructor;
    },

    checkbox: {
      type: BooleanConstructor;
    },

    radio: {
      type: BooleanConstructor;
    },

    radioIcon: {
      type: StringConstructor;
    },

    checked: {
      type: BooleanConstructor;
    },

    indeterminate: {
      type: BooleanConstructor;
    },

    name: {
      type: StringConstructor;
    },

    readonly: {
      type: BooleanConstructor;
    },

    required: {
      type: BooleanConstructor;
    },

    disabled: {
      type: BooleanConstructor;
    },

    virtualListIndex: {
      type: NumberConstructor;
    },

    sortable: {
      type: BooleanConstructor;
      default: undefined;
    },

    sortableOpposite: {
      type: BooleanConstructor;
      default: undefined;
    },

    value: {
      type: StringConstructor | NumberConstructor | ArrayConstructor;
      default: undefined;
    },

    color: {
      type: StringConstructor;
    },

    colorTheme: {
      type: StringConstructor;
    },

    textColor: {
      type: StringConstructor;
    },

    bgColor: {
      type: StringConstructor;
    },

    borderColor: {
      type: StringConstructor;
    },

    rippleColor: {
      type: StringConstructor;
    },

    dark: {
      type: BooleanConstructor;
    },

    searchbarEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarClear: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    panelOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    panelClose: {
      type: BooleanConstructor | StringConstructor;
    },

    panelToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    popupOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popupClose: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsClose: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverClose: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    cardOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardPreventOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardClose: {
      type: BooleanConstructor | StringConstructor;
    },

    menuClose: {
      type: BooleanConstructor | StringConstructor;
    },

    back: {
      type: BooleanConstructor;
    },

    external: {
      type: BooleanConstructor;
    },

    force: {
      type: BooleanConstructor;
    },

    animate: {
      type: BooleanConstructor;
    },

    ignoreCache: {
      type: BooleanConstructor;
    },

    reloadCurrent: {
      type: BooleanConstructor;
    },

    reloadAll: {
      type: BooleanConstructor;
    },

    reloadPrevious: {
      type: BooleanConstructor;
    },

    reloadDetail: {
      type: BooleanConstructor;
    },

    routeTabId: {
      type: StringConstructor;
    },

    view: {
      type: StringConstructor;
    },

    routeProps: {
      type: ObjectConstructor;
    },

    preventRouter: {
      type: BooleanConstructor;
    },

    transition: {
      type: StringConstructor;
    },

    openIn: {
      type: StringConstructor;
    }
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  ("click" | "swipeout" | "swipeout:overswipeenter" | "swipeout:overswipeexit" | "swipeout:deleted" | "swipeout:delete" | "swipeout:close" | "swipeout:closed" | "swipeout:open" | "swipeout:opened" | "accordion:beforeclose" | "accordion:close" | "accordion:closed" | "accordion:beforeopen" | "accordion:open" | "accordion:opened" | "change" | "update:checked")[],
  "click" | "swipeout" | "swipeout:overswipeenter" | "swipeout:overswipeexit" | "swipeout:deleted" | "swipeout:delete" | "swipeout:close" | "swipeout:closed" | "swipeout:open" | "swipeout:opened" | "accordion:beforeclose" | "accordion:close" | "accordion:closed" | "accordion:beforeopen" | "accordion:open" | "accordion:opened" | "change" | "update:checked"
>;

export default ListItem;
  