
import { ComponentOptionsMixin, DefineComponent, PropType } from 'vue';


declare const MenuDropdownItem: DefineComponent<
  {
    
    text: {
      type: StringConstructor;
    },

    link: {
      type: BooleanConstructor;
    },

    href: {
      type: StringConstructor;
    },

    target: {
      type: StringConstructor;
    },

    divider: {
      type: BooleanConstructor;
    },

    color: {
      type: StringConstructor;
    },

    colorTheme: {
      type: StringConstructor;
    },

    textColor: {
      type: StringConstructor;
    },

    bgColor: {
      type: StringConstructor;
    },

    borderColor: {
      type: StringConstructor;
    },

    rippleColor: {
      type: StringConstructor;
    },

    dark: {
      type: BooleanConstructor;
    },

    back: {
      type: BooleanConstructor;
    },

    external: {
      type: BooleanConstructor;
    },

    force: {
      type: BooleanConstructor;
    },

    animate: {
      type: BooleanConstructor;
    },

    ignoreCache: {
      type: BooleanConstructor;
    },

    reloadCurrent: {
      type: BooleanConstructor;
    },

    reloadAll: {
      type: BooleanConstructor;
    },

    reloadPrevious: {
      type: BooleanConstructor;
    },

    reloadDetail: {
      type: BooleanConstructor;
    },

    routeTabId: {
      type: StringConstructor;
    },

    view: {
      type: StringConstructor;
    },

    routeProps: {
      type: ObjectConstructor;
    },

    preventRouter: {
      type: BooleanConstructor;
    },

    transition: {
      type: StringConstructor;
    },

    openIn: {
      type: StringConstructor;
    },

    searchbarEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarClear: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    panelOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    panelClose: {
      type: BooleanConstructor | StringConstructor;
    },

    panelToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    popupOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popupClose: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsClose: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverClose: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    cardOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardPreventOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardClose: {
      type: BooleanConstructor | StringConstructor;
    },

    menuClose: {
      type: BooleanConstructor | StringConstructor;
    }
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  ("click")[],
  "click"
>;

export default MenuDropdownItem;
  