
import { ComponentOptionsMixin, DefineComponent, PropType } from 'vue';


declare const Radio: DefineComponent<
  {
    
    checked: {
      type: BooleanConstructor;
    },

    name: {
      type: NumberConstructor | StringConstructor;
    },

    disabled: {
      type: BooleanConstructor;
    },

    readonly: {
      type: BooleanConstructor;
    },

    value: {
      type: NumberConstructor | StringConstructor | BooleanConstructor;
      default: undefined;
    },

    color: {
      type: StringConstructor;
    },

    colorTheme: {
      type: StringConstructor;
    },

    textColor: {
      type: StringConstructor;
    },

    bgColor: {
      type: StringConstructor;
    },

    borderColor: {
      type: StringConstructor;
    },

    rippleColor: {
      type: StringConstructor;
    },

    dark: {
      type: BooleanConstructor;
    }
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  ("update:checked" | "change")[],
  "update:checked" | "change"
>;

export default Radio;
  