
import { ComponentOptionsMixin, DefineComponent, PropType } from 'vue';


declare const TreeviewItem: DefineComponent<
  {
    
    itemToggle: {
      type: BooleanConstructor;
    },

    selectable: {
      type: BooleanConstructor;
    },

    selected: {
      type: BooleanConstructor;
    },

    opened: {
      type: BooleanConstructor;
    },

    label: {
      type: StringConstructor;
    },

    loadChildren: {
      type: BooleanConstructor;
    },

    toggle: {
      type: BooleanConstructor;
      default: undefined;
    },

    link: {
      type: BooleanConstructor | StringConstructor;
      default: undefined;
    },

    color: {
      type: StringConstructor;
    },

    colorTheme: {
      type: StringConstructor;
    },

    textColor: {
      type: StringConstructor;
    },

    bgColor: {
      type: StringConstructor;
    },

    borderColor: {
      type: StringConstructor;
    },

    rippleColor: {
      type: StringConstructor;
    },

    dark: {
      type: BooleanConstructor;
    },

    searchbarEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarClear: {
      type: BooleanConstructor | StringConstructor;
    },

    searchbarToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    panelOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    panelClose: {
      type: BooleanConstructor | StringConstructor;
    },

    panelToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    popupOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popupClose: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    actionsClose: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    popoverClose: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    loginScreenClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    sheetClose: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableEnable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableDisable: {
      type: BooleanConstructor | StringConstructor;
    },

    sortableToggle: {
      type: BooleanConstructor | StringConstructor;
    },

    cardOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardPreventOpen: {
      type: BooleanConstructor | StringConstructor;
    },

    cardClose: {
      type: BooleanConstructor | StringConstructor;
    },

    menuClose: {
      type: BooleanConstructor | StringConstructor;
    },

    icon: {
      type: StringConstructor;
    },

    iconMaterial: {
      type: StringConstructor;
    },

    iconF7: {
      type: StringConstructor;
    },

    iconIos: {
      type: StringConstructor;
    },

    iconMd: {
      type: StringConstructor;
    },

    iconAurora: {
      type: StringConstructor;
    },

    iconColor: {
      type: StringConstructor;
    },

    iconSize: {
      type: StringConstructor | NumberConstructor;
    },

    back: {
      type: BooleanConstructor;
    },

    external: {
      type: BooleanConstructor;
    },

    force: {
      type: BooleanConstructor;
    },

    animate: {
      type: BooleanConstructor;
    },

    ignoreCache: {
      type: BooleanConstructor;
    },

    reloadCurrent: {
      type: BooleanConstructor;
    },

    reloadAll: {
      type: BooleanConstructor;
    },

    reloadPrevious: {
      type: BooleanConstructor;
    },

    reloadDetail: {
      type: BooleanConstructor;
    },

    routeTabId: {
      type: StringConstructor;
    },

    view: {
      type: StringConstructor;
    },

    routeProps: {
      type: ObjectConstructor;
    },

    preventRouter: {
      type: BooleanConstructor;
    },

    transition: {
      type: StringConstructor;
    },

    openIn: {
      type: StringConstructor;
    }
  },
  () => JSX.Element,
  unknown,
  {},
  {},
  ComponentOptionsMixin,
  ComponentOptionsMixin,
  ("click" | "treeview:open" | "treeview:close" | "treeview:loadchildren")[],
  "click" | "treeview:open" | "treeview:close" | "treeview:loadchildren"
>;

export default TreeviewItem;
  