import { renderSlot as _renderSlot, normalizeClass as _normalizeClass, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";

function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", {
    class: _normalizeClass(_ctx.classes)
  }, [_renderSlot(_ctx.$slots, "default")], 2);
}

import { computed } from 'vue';
import { classNames } from '../shared/utils.js';
import { colorClasses, colorProps } from '../shared/mixins.js';
export default {
  name: 'f7-views',
  render,
  props: {
    tabs: Boolean,
    ...colorProps
  },

  setup(props) {
    const classes = computed(() => classNames('views', {
      tabs: props.tabs
    }, colorClasses(props)));
    return {
      classes
    };
  }

};