import { onBeforeUnmount, ref } from 'vue';
import { f7 } from './f7.js';
export const useStore = function () {
  // (store, getter)
  let store = arguments.length <= 0 ? undefined : arguments[0];
  let getter = arguments.length <= 1 ? undefined : arguments[1];

  if (arguments.length === 1) {
    // (getter)
    store = f7.store;
    getter = arguments.length <= 0 ? undefined : arguments[0];
  } // eslint-disable-next-line


  const obj = store._gettersPlain[getter];
  const valueRef = ref(obj.value);

  const callback = v => {
    valueRef.value = v;
  };

  obj.onUpdated(callback);
  onBeforeUnmount(() => {
    // eslint-disable-next-line
    store.__removeCallback(callback);
  });
  return valueRef;
};